Bug 1245551 - switch runlevel from 5 to 3 got black screen
Summary: switch runlevel from 5 to 3 got black screen
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.2
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Radim Krčmář
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-22 09:35 UTC by mazhang
Modified: 2016-09-20 04:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-16 17:11:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
log from guest /var/log/messages (14.20 KB, text/plain)
2015-07-22 10:31 UTC, mazhang
no flags Details

Description mazhang 2015-07-22 09:35:03 UTC
Description of problem:
switch runlevel from 5 to 3 got black screen

Version-Release number of selected component (if applicable):

Host:
3.10.0-292.el7.x86_64
qemu-kvm-rhev-2.3.0-12.el7.x86_64

Guest:
3.10.0-292.el7.x86_64
gnome-session-3.14.0-4.el7.x86_64
xorg-x11-utils-7.5-13.1.el7.x86_64
xorg-x11-drv-qxl-0.1.1-16.el7.x86_64
xorg-x11-server-utils-7.7-4.el7.x86_64
systemd-219-7.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.Command line:
/usr/libexec/qemu-kvm \
-M pc \
-cpu SandyBridge \
-nodefaults -rtc base=utc -no-hpet \
-m 4G \
-smp 4,cores=2,threads=2,sockets=1 \
-enable-kvm \
-name rhel7.2 \
-uuid 990ea161-6b67-47b2-b803-19fb01d30d12 \
-smbios type=1,manufacturer='Red Hat',product='RHEV Hypervisor',version=el6,serial=koTUXQrb,uuid=feebc8fd-f8b0-4e75-abc3-e63fcdb67170 \
-k en-us \
-monitor stdio \
-qmp tcp:0:6661,server,nowait \
-serial unix:/tmp/serial0,server,nowait \
-boot menu=on \
-bios /usr/share/seabios/bios.bin \
-spice port=5900,disable-ticketing \
-device qxl-vga,id=vga0 \
-netdev tap,id=hostnet0,vhost=on \
-device virtio-net-pci,netdev=hostnet0,id=net0,mac=54:52:00:B6:40:21 \
-drive file=/home/rhel7.2-64.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none,werror=stop,rerror=stop,aio=threads \
-device virtio-blk-pci,scsi=off,bus=pci.0,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=0 \

2. After guest system booting up, login desktop then execute "init 3".

3.

Actual results:
Black screen.

Expected results:
switch to runlevel 3.

Additional info:

Comment 2 mazhang 2015-07-22 10:31:12 UTC
Created attachment 1054773 [details]
log from guest /var/log/messages

Comment 3 Radim Krčmář 2015-07-23 14:55:11 UTC
`init 3` should kill graphic interface, so some level of blackness is expected.
There is no cursor and other VT, accessed by (Ctrl+)Alt+F2, has no login prompt?

Comment 4 mazhang 2015-07-27 02:22:30 UTC
(In reply to Radim Krčmář from comment #3)
> `init 3` should kill graphic interface, so some level of blackness is
> expected.
> There is no cursor and other VT, accessed by (Ctrl+)Alt+F2, has no login
> prompt?

Yes, it shows login prompt when switch to Alt+F2.
But I think it's not that kind of blackness, normally `init 3` will switch to text mode and show login prompt in current terminal, but this time just got black with a flash underline, no login prompt.
Also test with RHEL7.1 GA guest not hit this problem.

Comment 7 Radim Krčmář 2015-09-16 17:11:16 UTC
This bug can't be reproduced in latest release.  Please reopen if you hit it again.


Note You need to log in before you can comment on or make changes to this bug.